Momentan sunteți offline, așteptați să vă reconectați la internet

Colaborare date obiecte (CDO) 1.2.1 nu este acceptat cu Outlook 2010 şi versiunile ulterioare

IMPORTANT: Acest articol a fost tradus de software-ul de traducere automată Microsoft, si nu de un traducător. Microsoft vă oferă atât articole traduse de persoane, cât şi articole traduse automat, astfel incat aveti access la toate articolele din Baza noastră de informatii în limba dvs. materna. Totuşi, un articol tradus automat nu este întotdeauna perfect. Acesta poate conţine greşeli de vocabular, sintaxă sau gramatică, la fel cum un vorbitor străin poate face greşeli vorbind limba dvs. materna. Compania Microsoft nu este responsabilă pentru nici o inexactitate, eroare sau daună cauzată de traducerea necorespunzătoare a conţinutului sau de utilizarea traducerii necorespunzătoare de către clienţii nostri. De asemenea, Microsoft actualizează frecvent software-ul de traducere automată.

Faceți clic aici pentru a vizualiza versiunea în limba engleză a acestui articol: 2028411
REZUMAT

Deşi biblioteca de obiect date de colaborare obiecte (CDO) 1.2.1 ar putea fi folosit cu Microsoft Outlook 2010 şi Microsoft Outlook 2013, nu recomanda sau acceptă acest lucru în nici un fel.

Important: acest articol se aplică la utilizarea CDO 1.2.1 partea de client cu Outlook 2010 şi versiunile ulterioare. Aceasta nu se aplică la utilizarea CDO 1.2.1 care instalează subsistemul MAPI şi care este proiectat pentru utilizarea pe un computer fără Outlook.

INFORMAŢII SUPLIMENTARE

Colaborare date obiecte (CDO) 1.2.1 este o bibliotecă-client care oferă un înveliş subţire peste Extended MAPI funcţionalitate. Această bibliotecă este de obicei folosit pentru a adăuga funcţionalitate la programe personalizate de mesaje de e-mail. Această bibliotecă permite aceste programe pentru a efectua funcţii precum trimiterea de e-mail prin intermediul MAPI, lucrul cu calendare şi accesarea diverselor date în Microsoft Outlook sau în Microsoft Exchange.

Începând cu Outlook 2007, CDO 1.2.1 nu a fost inclus cu Microsoft Outlook. Dar CDO 1.2.1 este disponibil doar ca un drum liber pentru Outlook 2007:

http://www.Microsoft.com/downloads/details.aspx?FamilyID=2714320d-c997-4de1-986f-24f081725d36&DisplayLang=en

Această descărcare poate fi instalat numai pe un computer care are instalat a Outlook 2007. Dacă Outlook nu este instalat, veţi primi următorul mesaj de eroare când executaţi fişierul ExchangeCdo.msi:

Colaborare obiecte de date 1.2.1 nu poate fi instalat cu excepţia cazului în Microsoft Office Outlook 2007, de asemenea, este instalat.

Deşi versiune descărcabilă de CDO nu este instalat atunci când este instalat Outlook 2010 sau Outlook 2013, ai putea instala CDO primul cu Outlook 2007 înainte de upgrade Outlook. În acest scenariu, programe puteţi utiliza în continuare Biblioteca CDO pentru a integra cu Outlook 2010 şi Outlook 2013 versiune MAPI.

Cu toate acestea, vă recomandăm că CDO primul este dezinstalat înainte de a Outlook este actualizat la Outlook 2007 la Outlook 2010 şi versiunile ulterioare.

Microsoft Outlook 2010 şi versiunile ulterioare includ multe modificări arhitecturale pentru subsistemul de MAPI partea de client. De interes special sunt scenarii în care Outlook este configurat pentru a utiliza mai multe conturi de schimb. De asemenea, CDO 1.2.1 este o bibliotecă-client de 32 de biţi şi nu va funcţiona cu 64 de biţi versiuni de Outlook. Având în vedere toţi aceşti factori, CDO 1.2.1 nu este acceptată pentru utilizare cu Outlook 2010 sau Outlook 2013, iar noi nu recomandăm utilizarea sa cu Outlook 2010 şi versiunile ulterioare.

Programele care utilizează CDO ar trebui să fie re-proiectate pentru a utiliza alte cerere programare interfeţe (API) în loc de CDO. Începând cu Outlook 2007, modelul de obiect Outlook a fost extins foarte mult pentru a oferi functionalitate care a fost anterior disponibile numai prin utilizarea CDO 1.2.1. Modelul de obiect Outlook 2010 şi Outlook 2013 include unele caracteristici noi pentru a extinde pe acest lucru mai mult. De exemplu, modelul de obiect Outlook a noi funcţionalităţi pentru a funcţiona corect cu mai multe conturi de schimb. Modelul de obiect Outlook de asemenea works pentru both 32-bit şi 64-bit versiuni de Outlook. Dezvoltatorii ar trebui să utilizaţi Outlook 2010 şi mai târziu modelul de obiect în locul CDO 1.2.1. De asemenea, dezvoltatorii pot încă utiliza Extended MAPI (care necesită negestionată C++) în unele scenarii de unde CDO a fost necesar. Cu toate acestea, în cazul în care este posibil, în general, recomandăm că modelul de obiect Outlook fie folosit în loc de Extended MAPI.

Suport de produse Microsoft pot ajuta clienţii dezvoltator migra programe personalizate la utilizarea CDO 1.2.1 folosind alte API-uri. Cu toate acestea, Microsoft va oferi suport pentru orice scenarii în care CDO 1.2.1 este folosit cu Outlook 2010 sau Outlook 2013.

Avertisment: acest articol a fost tradus automat

Proprietăți

ID articol: 2028411 - Ultima examinare: 04/02/2013 22:02:00 - Revizie: 1.0

  • kbmt KB2028411 KbMtro
Feedback